function eGFR=ckdEPICalculate(isFemale,isAA, scr, age)
    k = 0;
    if (isFemale >= 0.5)
        k=0.7;
        alpha = -0.329;
    else
        k=0.9;
        alpha = 0.411;
    end
    
    m1 = min (scr/k,1.0);
    m2 = max (scr/k,1.0);
    
    eGFR = 141 * m1^alpha * m2 ^(-1.209) * 0.993 ^ age;
    
    if (isFemale >= 0.0)
        eGFR = eGFR * 1.018;
    end;
    
    if (isAA >= 0.5)
        eGFR = eGFR * 1.159;
    end;
    
end